Index: loader/source/ppc/PADReadGC.c
===================================================================
--- loader/source/ppc/PADReadGC.c	(revision 542)
+++ loader/source/ppc/PADReadGC.c	(working copy)
@@ -214,15 +214,14 @@
 		_siReg[14] |= (1<<31);
 		while(_siReg[14] & (1<<31));
 	}
-	u32 HIDMemPrep = 0;
-	if (HIDPad == HID_PAD_NOT_SET)
-		HIDPad = MaxPads;
-
-	for (chan = HIDPad; (chan < HID_PAD_NONE); (HID_CTRL->MultiIn == 3) ? (++chan) : (chan = HID_PAD_NONE)) // Run once unless MultiIn == 3
-	{
-		if(HIDMemPrep == 0) // first run
-		{
-			HID_Packet = (u8*)0x930050F0; // reset back to default offset
+	u32 HIDMemPrep = 0;
+	if (HIDPad == HID_PAD_NOT_SET)
+		HIDPad = MaxPads;
+		for (chan = HIDPad; (chan < HID_PAD_NONE); (HID_CTRL->MultiIn == 3) ? (++chan) : (chan = HID_PAD_NONE)) // Run once unless MultiIn == 3
+		{
+		if(HIDMemPrep == 0) // first run
+		{
+			HID_Packet = (u8*)0x930050F0; // reset back to default offset
 			memInvalidate = (u32)HID_Packet; // prepare memory
 			asm volatile("dcbi 0,%0; sync" : : "b"(memInvalidate) : "memory");
 			HIDMemPrep = memInvalidate;
@@ -658,14 +657,14 @@
 		
 // Nunchuck Buttons
 		if((BTPad[chan].used & C_NUN) && !(BTPad[chan].button & WM_BUTTON_TWO))	//nunchuck not being configured
-		{
-			switch ((BTPad[chan].used & (C_NSWAP1 | C_NSWAP2 | C_NSWAP3)) >> 5)
-			{
-				case 0:	// (2)
-				default:
-				{	//Howards general config 
-					//A=A B=B Z=Z +=X -=Y Dpad=Standard
-					//C not pressed L R tilt tied to L R analog triggers.
+		{
+			switch ((BTPad[chan].used & (C_NSWAP1 | C_NSWAP2 | C_NSWAP3)) >> 5)
+			{
+				case 2:	// (2 & right)
+				//default:
+				{	//Howards general config 
+					//A=A B=B Z=Z +=X -=Y Dpad=Standard
+					//C not pressed L R tilt tied to L R analog triggers.
 					//C		pressed tilt control the cStick
 					if((BTPad[chan].button & NUN_BUTTON_C)	//tilt as camera control
 					 && !(BTPad[chan].used & C_ISWAP))
@@ -774,28 +773,28 @@
 						button |= PAD_TRIGGER_R;
 						Pad[chan].triggerRight = 0xFF;
 					}
-					else
-						Pad[chan].triggerRight = 0;
-				}break;
-				case 2:	// (2 & right)
-				{	//config asked for by naggers
-					//A=A 
-					//C not pressed U=Z D=B R=X L=Y B=R Z=L
-					//C		pressed Dpad=Standard B=R1/2 Z=L1/2 tilt controls cStick
-					if((BTPad[chan].button & NUN_BUTTON_Z) &&
+					else
+						Pad[chan].triggerRight = 0;
+				}break;
+				case 6:	// (2 & plus)
+				{	//config asked for by naggers
+					//A=A +=R1/2 -=L1/2
+					//C not pressed U=Z D=B R=X L=Y B=R Z=L
+					//C		pressed Dpad=Standard B=R1/2 Z=L1/2 tilt controls cStick
+					if((BTPad[chan].button & NUN_BUTTON_Z) &&
 					   (BTPad[chan].button & NUN_BUTTON_C))
 						Pad[chan].triggerLeft = 0x7F;
 					else
 					if(BTPad[chan].button & NUN_BUTTON_Z)
 					{
-						button |= PAD_TRIGGER_L;
-						Pad[chan].triggerLeft = 0xFF;
-					}
-//					else if(BTPad[chan].button & WM_BUTTON_MINUS)
-//						Pad[chan].triggerLeft = 0x7F; 
-					else
-						Pad[chan].triggerLeft = 0;
-
+						button |= PAD_TRIGGER_L;
+						Pad[chan].triggerLeft = 0xFF;
+					}
+					else if(BTPad[chan].button & WM_BUTTON_MINUS)
+						Pad[chan].triggerLeft = 0x7F; 
+					else
+						Pad[chan].triggerLeft = 0;
+
 					if((BTPad[chan].button & WM_BUTTON_B) &&
 					   (BTPad[chan].button & NUN_BUTTON_C))
 						Pad[chan].triggerRight = 0x7F;
@@ -802,14 +801,14 @@
 					else
 					if(BTPad[chan].button & WM_BUTTON_B)
 					{
-						button |= PAD_TRIGGER_R;
-						Pad[chan].triggerRight = 0xFF;
-					}
-//					else if(BTPad[chan].button & WM_BUTTON_PLUS)
-//						Pad[chan].triggerRight = 0x7F;
-					else
-						Pad[chan].triggerRight = 0;
-					
+						button |= PAD_TRIGGER_R;
+						Pad[chan].triggerRight = 0xFF;
+					}
+					else if(BTPad[chan].button & WM_BUTTON_PLUS)
+						Pad[chan].triggerRight = 0x7F;
+					else
+						Pad[chan].triggerRight = 0;
+					
 					if(BTPad[chan].button & WM_BUTTON_A)
 						button |= PAD_BUTTON_A;
 					
@@ -1090,101 +1089,119 @@
 					else
 						Pad[chan].triggerRight = 0;
 
-					if(BTPad[chan].button & WM_BUTTON_A)
-						button |= PAD_BUTTON_A;
-				}break;	
-				case 6:	// (2 & 1)
-				{	//FPS using IR as cStick alt based on naggers
-					//A=A B=R Z=L +=R1/2 -=L1/2
-					//C not pressed U=Z D=B R=X L=Y
-					//C		pressed Dpad=Standard, L R tilt tied to L R analog triggers.
-					//IR controls the cStick
-					
-					if(BTPad[chan].button & NUN_BUTTON_Z)
-					{
-						button |= PAD_TRIGGER_L;
-						Pad[chan].triggerLeft = 0xFF;
-					}
-					else if(BTPad[chan].button & WM_BUTTON_MINUS)
-						Pad[chan].triggerLeft = 0x7F; 
-					else if(BTPad[chan].button & NUN_BUTTON_C)
-					{
-						//	use tilt as AnalogL
-						/* xAccel  L=300 C=512 R=740 */
-						if(BTPad[chan].xAccel < 340)
-						{
-							button |= PAD_TRIGGER_L;
-							Pad[chan].triggerLeft = 0xFF;
-						}
-						else if(BTPad[chan].xAccel < 475)
-							Pad[chan].triggerLeft = (475 - BTPad[chan].xAccel) * 0xF0 / (475 - 340);
-						else
-							Pad[chan].triggerLeft = 0;
-					}
-					else
-						Pad[chan].triggerLeft = 0;
-					
-					if(BTPad[chan].button & WM_BUTTON_B)
-					{
-						button |= PAD_TRIGGER_R;
-						Pad[chan].triggerRight = 0xFF;
-					}
-					else if(BTPad[chan].button & WM_BUTTON_PLUS)
-						Pad[chan].triggerRight = 0x7F;
-					else if(BTPad[chan].button & NUN_BUTTON_C)
-					{
-						//	use tilt as AnalogR
-						/* xAccel  L=300 C=512 R=740 */
-						if(BTPad[chan].xAccel > 670)
-						{
-							button |= PAD_TRIGGER_R;
-							Pad[chan].triggerRight = 0xFF;
-						}
-						else if(BTPad[chan].xAccel > 550)
-							Pad[chan].triggerRight = (BTPad[chan].xAccel - 550) * 0xF0 / (670 - 550); 
-						else
-							Pad[chan].triggerRight = 0;
-					}
-					else
-						Pad[chan].triggerRight = 0;
-	
-					if(BTPad[chan].button & WM_BUTTON_A)
-						button |= PAD_BUTTON_A;
-
-					if(BTPad[chan].button & NUN_BUTTON_C)
-					{
-						if(BTPad[chan].button & WM_BUTTON_LEFT)
-							button |= PAD_BUTTON_LEFT;
-						if(BTPad[chan].button & WM_BUTTON_RIGHT)
-							button |= PAD_BUTTON_RIGHT;
+					if(BTPad[chan].button & WM_BUTTON_A)
+						button |= PAD_BUTTON_A;
+				}break;	
+				case 0:	// (2)
+				default:
+				//Alt Naggers c+DPAD as C-Stick
+				//A=A B+Dpad=GC-Dpad
+				//C not pressed U=Z D=B R=X L=Y B=R Z=L -=L1/2 +=R1/2
+				//C		pressed Dpad=C-Stick B=R1/2 Z=L1/2 
+				//in IR Mode c+Dpad=GC-Dpad 
+					{
+					if((BTPad[chan].button & NUN_BUTTON_Z) && (BTPad[chan].button & NUN_BUTTON_C))
+						Pad[chan].triggerLeft = 0x7F;
+					else if(BTPad[chan].button & NUN_BUTTON_Z)
+					{
+						button |= PAD_TRIGGER_L;
+						Pad[chan].triggerLeft = 0xFF;
+					}
+					else if(BTPad[chan].button & WM_BUTTON_MINUS)
+						Pad[chan].triggerLeft = 0x7F; 
+					else
+						Pad[chan].triggerLeft = 0;
+
+					if((BTPad[chan].button & WM_BUTTON_B) && (BTPad[chan].button & NUN_BUTTON_C))
+						Pad[chan].triggerRight = 0x7F;
+					else if(BTPad[chan].button & WM_BUTTON_B)
+					{
+						button |= PAD_TRIGGER_R;
+						Pad[chan].triggerRight = 0xFF;
+					}
+					else if(BTPad[chan].button & WM_BUTTON_PLUS)
+						Pad[chan].triggerRight = 0x7F;
+					else
+						Pad[chan].triggerRight = 0;
+										
+					if(BTPad[chan].button & WM_BUTTON_A)
+						button |= PAD_BUTTON_A;
+												
+					if(!(BTPad[chan].used & C_ISWAP))	//not using IR 
+					{
+						if (BTPad[chan].button & NUN_BUTTON_C)
+					{
+						Pad[chan].substickX = 0;
+						Pad[chan].substickY = 0;
+					 // c+dpad as c-stick
+						if(BTPad[chan].button & WM_BUTTON_LEFT)
+							Pad[chan].substickX = -0x78;
+						else if(BTPad[chan].button & WM_BUTTON_RIGHT)
+							Pad[chan].substickX = 0x78;
+						else
+							Pad[chan].substickX = 0;
+	
+						if(BTPad[chan].button & WM_BUTTON_DOWN)
+							Pad[chan].substickY = -0x78;
+						else if(BTPad[chan].button & WM_BUTTON_UP)
+							Pad[chan].substickY = 0x78;
+						else
+							Pad[chan].substickY = 0;
+					}
+						else if (BTPad[chan].button & WM_BUTTON_B)
+					{
+						if(BTPad[chan].button & WM_BUTTON_LEFT)
+							button |= PAD_BUTTON_LEFT;
+						if(BTPad[chan].button & WM_BUTTON_RIGHT)
+							button |= PAD_BUTTON_RIGHT;
 						if(BTPad[chan].button & WM_BUTTON_DOWN)
 							button |= PAD_BUTTON_DOWN;
-						if(BTPad[chan].button & WM_BUTTON_UP)
-							button |= PAD_BUTTON_UP;
-					}
-					else
-					{
-						if(BTPad[chan].button & WM_BUTTON_UP)
-							button |= PAD_TRIGGER_Z;
-						if(BTPad[chan].button & WM_BUTTON_DOWN)
+						if(BTPad[chan].button & WM_BUTTON_UP)
+							button |= PAD_BUTTON_UP;
+					}
+						else
+						{
+						if(BTPad[chan].button & WM_BUTTON_UP)
+							button |= PAD_TRIGGER_Z;
+						if(BTPad[chan].button & WM_BUTTON_DOWN)
+							button |= PAD_BUTTON_B;
+						if(BTPad[chan].button & WM_BUTTON_RIGHT)
+							button |= PAD_BUTTON_X;
+						if(BTPad[chan].button & WM_BUTTON_LEFT)
+							button |= PAD_BUTTON_Y;}}
+					else if(BTPad[chan].used & C_ISWAP)
+						{
+						if (BTPad[chan].button & NUN_BUTTON_C)
+						{
+						if(BTPad[chan].button & WM_BUTTON_LEFT)
+							button |= PAD_BUTTON_LEFT;
+						if(BTPad[chan].button & WM_BUTTON_RIGHT)
+							button |= PAD_BUTTON_RIGHT;
+						if(BTPad[chan].button & WM_BUTTON_DOWN)
+							button |= PAD_BUTTON_DOWN;
+						if(BTPad[chan].button & WM_BUTTON_UP)
+							button |= PAD_BUTTON_UP;
+						}	
+					else
+						{
+						if(BTPad[chan].button & WM_BUTTON_UP)
+							button |= PAD_TRIGGER_Z;
+						if(BTPad[chan].button & WM_BUTTON_DOWN)
 							button |= PAD_BUTTON_B;
-						if(BTPad[chan].button & WM_BUTTON_RIGHT)
-							button |= PAD_BUTTON_X;
-						if(BTPad[chan].button & WM_BUTTON_LEFT)
-							button |= PAD_BUTTON_Y;
-					}
-				}break;
-//				case 7:	// (2 & plus)
-//				{
-//				}break;
-			}
-			if(BTPad[chan].button & WM_BUTTON_ONE)
-				button |= PAD_BUTTON_START;	
-			if(BTPad[chan].button & WM_BUTTON_HOME)
-				goto Shutdown;
-		}	//end nunchuck configs
-
-		if(BTPad[chan].used & (C_CC | C_CCP))
+						if(BTPad[chan].button & WM_BUTTON_RIGHT)
+							button |= PAD_BUTTON_X;
+						if(BTPad[chan].button & WM_BUTTON_LEFT)
+							button |= PAD_BUTTON_Y;}}		
+				}break;	
+				case 7:	// (2 & 1)
+				{goto Shutdown;
+				}break;
+			}
+			if(BTPad[chan].button & WM_BUTTON_HOME)
+				button |= PAD_BUTTON_START;	
+		}	//end nunchuck configs
+
+		if(BTPad[chan].used & (C_CC | C_CCP))
 		{
 			if(BTPad[chan].used & C_SWAP)
 			{	/* turn buttons quarter clockwise */
@@ -1299,13 +1316,13 @@
 	_dspReg[27] = (_dspReg[27]&~0x8000);
 	/* disable dcache and icache */
 	asm volatile("sync ; isync ; mfspr 3,1008 ; rlwinm 3,3,0,18,15 ; mtspr 1008,3");
-	/* disable memory protection */
-	_memReg[15] = 0xF;
-	_memReg[16] = 0;
-	_memReg[8] = 0xFF;
-	/* reset status 1 */
-	*RESET_STATUS = 0x1DEA;
-	while(*RESET_STATUS == 0x1DEA) ;
+	/* disable memory protection */
+	_memReg[15] = 0xF;
+	_memReg[16] = 0;
+	_memReg[8] = 0xFF;	
+	/* reset status 1 */
+	*RESET_STATUS = 0x1DEA;
+	while(*RESET_STATUS == 0x1DEA) ;
 	/* load in stub */
 	do {
 		*stubdest++ = *stubsrc++;
Index: loader/source/titles.c
===================================================================
--- loader/source/titles.c	(revision 542)
+++ loader/source/titles.c	(working copy)
@@ -39,7 +39,7 @@
 #define MAX_ELEMENTS(x) ((sizeof((x))) / (sizeof((x)[0])))
 
 extern char launch_dir[MAXPATHLEN];
-
+extern void changeToDefaultDrive();
 typedef struct {
 	const char titleID[6];
 	const char titleName[LINE_LENGTH];
@@ -86,9 +86,8 @@
 	// If loaded from network, launch_dir[] is empty,
 	// so use /apps/Nintendont/ as a fallback.
 	char filepath[MAXPATHLEN];
-	snprintf(filepath, sizeof(filepath), "%stitles.txt",
-		 launch_dir[0] != 0 ? launch_dir : "/apps/Nintendont/");
-
+	changeToDefaultDrive();
+	snprintf(filepath, sizeof(filepath), "/apps/Nintendont/titles.txt");
 	FIL titles_txt;
 	if (f_open_char(&titles_txt, filepath, FA_READ|FA_OPEN_EXISTING) != FR_OK)
 		return 0;
